XI_PUT_IMAGE(3)

FUNCTION
xi_put_image - Write an XImage structure to a drawable.

SYNOPSIS
#include <karma_xi.h>

void xi_put_image

(Display *display, Drawable drawable, GC gc, XImage *ximage, int src_x, int src_y, int dest_x, int dest_y, unsigned int width, unsigned int height, flag shared_memory, flag wait)

DESCRIPTION
Write an XImage structure to a drawable.

display
    The X display.

drawable
    The ID of the drawable.

gc  The graphics context.

ximage
    The image structure.

src_x
    The horizontal position of the upper left corner of the subimage.

src_y
    The vertical position of the upper left corner of the subimage.

dest_x
    The horizontal position in the drawable where the upper left corner will be drawn.

dest_y
    The vertical position in the drawable where the upper left corner will be drawn.

width
    The width of the subimage.

height
    The height of the subimage.

shared_memory
    If TRUE the routine assmumes the XImage structure resides in a shared memory segment.

wait
    If TRUE and the XImage structure resides in a shared memory segment the routine will wait for the X server to copy the contents from the segment.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/